require 'test/unit'
require_relative '../lib/cvnotes.rb'

class CVNotesTest < Test::Unit::TestCase
  def test_add()
    n = NoteManger.new
    n.add("sample", "note")
    result = n.show("sample")
    assert_equal(result, "note")
  end

  def test_list()
    n = NoteManger.new
    n.add("sample", "note")
    n.add("sample2", "note2")
    result = n.list
    assert_not_nil result['sample']
    assert_not_nil result['note']
    assert_not_nil result['sample2']
    assert_not_nil result['note2']
  end
end
